SCSI_HOST_LOOKUP(9)

NAME
scsi_host_lookup - get a reference to a Scsi_Host by host no

SYNOPSIS

struct Scsi_Host * scsi_host_lookup(unsigned short hostnum);

ARGUMENTS

hostnum
    host number to locate

RETURN VALUE

A pointer to located Scsi_Host or NULL.

The caller must do a scsi_host_put to drop the reference that scsi_host_get took. The put_device below dropped the reference from class_find_device.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT